Application: gvSIG desktop - gvSIG bugs #4810
Problem loading ECW files
02/09/2018 10:06 AM - Silvia Franceschi

Status: New % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee:

Category: Raster

Target version: 3.0.0

Severity: Critical Add-on version:

gvSIG version: 250 Add-on build:

gvSIG build: 2913 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: ecw, windows Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

| am testing RC4 on linux and windows and ONLY IN LINUX | have problems to load the ecw files.
The projection read by the software is wrong (always 4326) and if | change it to the correct one in the properties of the layer when
importing it, the file will be added to the list of layers but it is completely white. If | try to zoom to the layer it goes to the coordinates of
the 4326 projection without considering the rest and nothing is displayed.
The error message in the console is:
Caused by: org.gvsig.fmap.dal.coverage.exception.ProcessInterruptedException: Can not query 044100w store. [area of interest:
Extent: (4.618,.807), (4.619,.808) width 1062 height 936]

at org.gvsig.raster.impl.grid.render.DefaultRender.draw(DefaultRender.java:470)

at org.gvsig.raster.fmap.layers.DefaultFLyrRaster.draw(DefaultFLyrRaster.java:620)

at org.gvsig.raster.fmap.layers.DefaultFLyrRaster.draw(DefaultFLyrRaster.java:582)

... 8 more
Caused by: org.gvsig.fmap.dal.coverage.exception.WarpException: Can not query 044100w store. [area of interest: Extent:
(4.618,.807), (4.619,.808) width 1062 height 936]

at org.gvsig.raster.impl.grid.render.RasterRenderReprojection.warp(RasterRenderReprojection.java:92)

at org.gvsig.raster.impl.grid.render.DefaultRender.draw(DefaultRender.java:466)

... 10 more
Caused by: org.gvsig.fmap.dal.coverage.exception.QueryException: Error getting data

at org.gvsig.raster.impl.store.AbstractRasterDataStore.queryArray(AbstractRasterDataStore.java:213)

at org.gvsig.raster.impl.store.AbstractRasterDataStore.query(AbstractRasterDataStore.java:174)

at org.gvsig.raster.impl.grid.render.RasterRenderReprojection.warp(RasterRenderReprojection.java:90)

... 11 more
Caused by: org.gvsig.fmap.dal.coverage.exception.RasterDriverException: Error setting coords

at org.gvsig.raster.ermapper.io.ErmapperProvider.loadBuffer(ErmapperProvider.java:450)

at org.gvsig.raster.ermapper.io.ErmapperProvider.loadBuffer(ErmapperProvider.java:347)

at org.gvsig.raster.impl.provider.AbstractRasterProvider.getDataSet(AbstractRasterProvider.java:393)

at org.gvsig.raster.impl.store.AbstractRasterDataStore.queryArray(AbstractRasterDataStore.java:211)

... 13 more

| used this file many times in the previous versions of gvSIG and also in RC4 in windows and everything was displayed perfectly.

History

#1 - 02/20/2018 09:52 AM - Joaquin del Cerro Murciano
- File gvSIG-jj.log.1 added
- File gvSIG-jj.log added

05/17/2024 1/2




Accidentalmente he reproducido el error, pero cargando un tiff.

No parece que tenga que ver con el formato, ni el fichero.

Tras darme el error cargando un fichero en concreto, 'mini_recorte.tif', he provado varias veces a cargarlo y no me ha vuelto a dar mas el error.
Creo que tiene que ver con la proyeccion.

En el momento de dar el error, al cargar la imagen, me estaba diciendo que iba a reproyectarla.

Subo el log para verlo mas tarde.

#2 - 02/20/2018 11:43 AM - Joaquin del Cerro Murciano

- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.5.1-3044

#3 - 02/04/2019 06:16 PM - Alvaro Anguix
- Category set to Raster

#4 - 03/07/2019 12:19 PM - Mario Carrera

- gvSIG build changed from 2848 to 2913

- gvSIG version changed from 2.4.0 to 2.5.0

- File gvSIG_Mario.log added

Me ocurre lo mismo en Linux. No me carga ECW. Adjunto el log porque pareece que no es el mismo error. A mi me sale "Extension not supported".
En la 2.4 si que me carga correctamente.

Ese mismo ECW si que se ha cargado en Windows en la 2.5.

#5 - 03/26/2020 02:57 PM - Joaquin del Cerro Murciano

- Priority changed from Urgent to High

#6 - 04/21/2020 09:33 AM - Alvaro Anguix

- Target version changed from 2.5.1-3044 to 3.0.0

En Windows se utiliza GDAL, en Linux una libreria propia. Habria que usar GDAL también en Linux.

Files

gvSIG-jj.log 225 KB 02/20/2018 Joaquin del Cerro Murciano
gvSIG-jj.log.1 515 KB 02/20/2018 Joaquin del Cerro Murciano
gvSIG_Mario.log 516 KB 03/07/2019 Mario Carrera
